package com.pcloud.book.pcloudkeyword.biz;


import com.pcloud.book.pcloudkeyword.dto.PcloudRobotMemoGroupDto;

import com.pcloud.book.pcloudkeyword.entity.*;

import java.util.List;


public interface PcloudRobotMemoBiz {

    void createMemoGroup(PcloudRobotMemoGroup pcloudRobotMemoGroup);
    void createPcloudRobotMemo(PcloudRobotMemo pcloudRobotMemo);

    void updatePcloudRobotMemo(PcloudRobotMemo pcloudRobotMemo);
    void deleteById(Long MemoId);


    List<PcloudRobotMemoGroupDto> getPcloudRobotMemo();

    List<PcloudRobotMemo> getMemoByContext(String context);

    void updateMemoGroup(PcloudRobotMemoGroup pcloudRobotMemoGroup);

    void deleteMemoGroupById(Long id);
}
